# Uses of Enum Class
javafx.scene.input.KeyCode

Packages that use KeyCode
Package
Description
javafx.scene.input
Provides the set of classes for mouse and keyboard input event handling.
javafx.scene.robot
Provides API for simulating user interaction such as typing keys on the keyboard and using the mouse.

## Uses of KeyCode in javafx.scene.input

Methods in javafx.scene.input that return KeyCode
Modifier and Type
Method
Description
`final KeyCode`
KeyCodeCombination.`getCode()`
Gets the key code associated with this key combination.
`final KeyCode`
KeyEvent.`getCode()`
The key code associated with the key in this key pressed or key released event.
`KeyCode`
KeyCombination.Modifier.`getKey()`
Gets the modifier key of this `Modifier`.
`static KeyCode`
KeyCode.`getKeyCode(String name)`
Parses textual representation of a key.
`static KeyCode`
KeyCode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static KeyCode[]`
KeyCode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in javafx.scene.input with parameters of type KeyCode
Modifier
Constructor
Description
``
`KeyCodeCombination(KeyCode code, KeyCombination.Modifier... modifiers)`
Constructs a `KeyCodeCombination` for the specified main key and with the specified list of modifiers.
``
`KeyCodeCombination(KeyCode code, KeyCombination.ModifierValue shift, KeyCombination.ModifierValue control, KeyCombination.ModifierValue alt, KeyCombination.ModifierValue meta, KeyCombination.ModifierValue shortcut)`
Constructs a `KeyCodeCombination` for the specified main key and with an explicit specification of all modifier keys.
``
`KeyEvent(Object source, EventTarget target, EventType<KeyEvent> eventType, String character, String text, KeyCode code, boolean shiftDown, boolean controlDown, boolean altDown, boolean metaDown)`
Constructs a new `KeyEvent` event from the specified parameters.
``
`KeyEvent(EventType<KeyEvent> eventType, String character, String text, KeyCode code, boolean shiftDown, boolean controlDown, boolean altDown, boolean metaDown)`
Constructs a new `KeyEvent` event from the specified parameters, with a `null` source and target.

## Uses of KeyCode in javafx.scene.robot

Methods in javafx.scene.robot with parameters of type KeyCode
Modifier and Type
Method
Description
`void`
Robot.`keyPress(KeyCode keyCode)`
Presses the specified `KeyCode` key.
`void`
Robot.`keyRelease(KeyCode keyCode)`
Releases the specified `KeyCode` key.
`void`
Robot.`keyType(KeyCode keyCode)`
Types the specified `KeyCode` key.